Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

Here is a list of all class members with links to the classes they belong to:

### - s -

- save() : ipe::Color , ipe::Document , ipe::SubPath , ipe::Shape , ipe::Ellipse , ipe::Document , ipe::ClosedSpline , ipe::Curve
- saveAlignment() : ipe::Text
- saveAsIpePage() : ipe::Page
- saveAsXml() : ipe::Page , ipe::Path , ipe::Reference , ipe::StyleSheet , ipe::Cascade , ipe::Text , ipe::Bitmap , ipe::Document , ipe::Group , ipe::Image , ipe::Object
- saveAttributesAsXml() : ipe::Object
- saveComponentsAsXml() : ipe::Group
- saveRGB() : ipe::Color
- saveSelection() : ipe::Page
- scanObject() : ipe::Latex
- scanPage() : ipe::Latex , ipe::BitmapFinder
- screenFont() : ipe::Fonts
- section() : ipe::Page
- sectionUsesTitle() : ipe::Page
- segment() : ipe::Curve
- Segment() : ipe::Segment
- select() : ipe::Page
- selectedIndex() : ipe::PageSelector
- selectionMade() : ipe::PageSelector
- selectPageOrView() : ipe::PageSelector
- SelectTool() : ipe::SelectTool
- set() : ipe::Document
- setActive() : ipe::Page
- setAdditionalModifiers() : ipe::CanvasBase
- setArrow() : ipe::Path
- setAttribute() : ipe::Group , ipe::Object , ipe::Page , ipe::Path , ipe::Reference , ipe::Text
- setAutoOrigin() : ipe::CanvasBase
- setCanvasStyle() : ipe::CanvasBase
- setClip() : ipe::Group
- setClosed() : ipe::Curve
- setColorKey() : ipe::Bitmap
- setCursor() : ipe::CanvasBase , ipe::Canvas
- setDashStyle() : ipe::Painter , ipe::Path
- setDebug() : ipe::Platform
- setDimmed() : ipe::CairoPainter , ipe::CanvasBase
- setEdge() : ipe::Snap
- setEffect() : ipe::Page
- setEncoding() : ipe::StyleSheet
- setFifiVisible() : ipe::CanvasBase
- setFill() : ipe::Painter , ipe::Path , ipe::Reference
- setFillRule() : ipe::Painter , ipe::Path , ipe::StyleSheet
- setFontPool() : ipe::Document , ipe::CanvasBase
- setGradient() : ipe::Painter , ipe::Path
- setHorizontalAlignment() : ipe::Text
- setLayerOf() : ipe::Page
- setLayout() : ipe::StyleSheet
- setLineCap() : ipe::Painter , ipe::Path , ipe::StyleSheet
- setLineJoin() : ipe::Painter , ipe::Path , ipe::StyleSheet
- setLocked() : ipe::Page
- setMarked() : ipe::Page
- setMarkedView() : ipe::Page
- setMatrix() : ipe::Object
- setName() : ipe::Reference , ipe::StyleSheet
- setNotes() : ipe::Page
- setObjNum() : ipe::Bitmap
- setObserver() : ipe::CanvasBase
- setOpacity() : ipe::Painter , ipe::Path , ipe::Text
- setPage() : ipe::CanvasBase
- setPageNumberStyle() : ipe::StyleSheet
- setPan() : ipe::CanvasBase
- setPathMode() : ipe::Path
- setPen() : ipe::Painter , ipe::Path , ipe::Reference
- setPinned() : ipe::Object
- setPreamble() : ipe::StyleSheet
- setProperties() : ipe::Document
- setRarrow() : ipe::Path
- setRenderData() : ipe::Bitmap
- setSection() : ipe::Page
- setSelect() : ipe::Page
- setSelectionVisible() : ipe::CanvasBase
- setShape() : ipe::Path
- setSize() : ipe::Reference , ipe::Text
- setSlash() : ipe::XmlAttributes
- setSnap() : ipe::CanvasBase
- setSnapping() : ipe::Page
- setStream() : ipe::PdfDict
- setStroke() : ipe::Painter , ipe::Path , ipe::Reference , ipe::Text
- setStyle() : ipe::Text
- setSymFill() : ipe::Painter
- setSymPen() : ipe::Painter
- setSymStroke() : ipe::Painter
- setText() : ipe::Text
- setTextPadding() : ipe::StyleSheet
- setTextType() : ipe::Text
- setTiling() : ipe::Painter , ipe::Path
- setTitle() : ipe::Page
- setTitleStyle() : ipe::StyleSheet
- setTool() : ipe::CanvasBase
- setTransformations() : ipe::Object
- setVerticalAlignment() : ipe::Text
- setVisible() : ipe::Page
- setWidth() : ipe::Text
- setXForm() : ipe::Text
- setZoom() : ipe::CanvasBase
- shape() : ipe::Path
- Shape() : ipe::Shape
- sheet() : ipe::Cascade
- side() : ipe::Line
- simpleSnap() : ipe::Snap
- simpleSnapPos() : ipe::CanvasBase
- size() : ipe::Bitmap , ipe::Reference , ipe::String , ipe::Buffer , ipe::Text
- sizeHint() : ipe::Canvas
- skipWhitespace() : ipe::Lex , ipe::XmlParser
- skipXRef() : ipe::PdfParser
- slash() : ipe::XmlAttributes
- snap() : ipe::Segment , ipe::CanvasBase , ipe::Vector , ipe::Bezier , ipe::Snap
- snapAngularIntersection() : ipe::Snap
- snapBnd() : ipe::Group , ipe::Page , ipe::Reference , ipe::ClosedSpline , ipe::Curve , ipe::Shape , ipe::CurveSegment , ipe::SubPath , ipe::Path , ipe::Ellipse , ipe::Object
- snapToPaperAndFrame() : ipe::CanvasBase
- snapVtx() : ipe::Ellipse , ipe::Path , ipe::Curve , ipe::Page , ipe::CurveSegment , ipe::Shape , ipe::Image , ipe::Group , ipe::ClosedSpline , ipe::Reference , ipe::Text , ipe::Object , ipe::SubPath
- spline() : ipe::Bezier
- SProperties() : ipe::Document::SProperties
- sqLen() : ipe::Vector
- standard() : ipe::StyleSheet
- straight() : ipe::Bezier
- stream() : ipe::PdfDict
- String() : ipe::String
- string() : ipe::PdfString , ipe::PdfObj , ipe::Attribute
- String() : ipe::String
- StringStream() : ipe::StringStream
- stroke() : ipe::Text , ipe::Painter , ipe::Path , ipe::Reference
- style() : ipe::Text
- StyleSheet() : ipe::StyleSheet , ipe::Attribute
- subdivide() : ipe::Bezier
- subPath() : ipe::Shape
- substr() : ipe::String
- SYM_FILL() : ipe::Attribute
- SYM_PEN() : ipe::Attribute
- SYM_STROKE() : ipe::Attribute
- Symbol() : ipe::Symbol
- symFill() : ipe::Painter
- symPen() : ipe::Painter
- symStroke() : ipe::Painter